import 'package:json_annotation/json_annotation.dart';

part 'exercise.model.g.dart';

@JsonSerializable()
class Exercise {

  Exercise();

  factory Exercise.fromJson(Map<String, dynamic> json) => _$ExerciseFromJson(json);
  Map<String, dynamic> toJson() => _$ExerciseToJson(this);

  int id;
  String name;
  String slug;
  String description;
  String modality;
  String type;
  String equipment_type;
  int level;
  String url_video_predefined;
  DateTime created_at;
  DateTime updated_at;

}